classification
Title: FreeBSD: wrong value for LDSHARED in sysconfig
Type: behavior Stage: committed/rejected
Components: Build Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, pitrou, reedobrien, skrah
Priority: critical Keywords: buildbot

Created on 2010-11-27 13:47 by skrah, last changed 2011-03-23 22:49 by reedobrien. This issue is now closed.

Files
File name Uploaded Description Edit
freebsd_ldshared.patch skrah, 2010-11-27 13:47
Messages (5)
msg122525 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2010-11-27 13:47
On FreeBSD, the config variable LDSHARED contains the literal '${LDFLAGS}',
causing this failure in test_distutils:


'test_get_outputs (distutils.tests.test_build_ext.BuildExtTestCase) ... gcc: ': No such file or directory
ERROR


The patch fixes the issue and all tests pass.


Benjamin, are you ok with the change for 2.7? I'm not sure why autoreconf
generated a bit of extra noise; I used version 2.65. Also, OpenBSD and
NetBSD should be affected as well.
msg122580 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2010-11-27 22:41
Upgrading to critical, since I just verified that C extensions in
general don't build on FreeBSD due to this issue.

Sorry for bringing this up on the release day, it's a coincidence that
I discovered it today...
msg122664 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2010-11-28 15:36
r86848: backported r85422, as required by the changes in r85358.


Antoine, there are some remaining {LDFLAGS}, two in the Darwin sections,
one in the OpenBSD section.

I think all of those should be removed as well. Do you agree?
msg122666 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2010-11-28 15:50
> Antoine, there are some remaining {LDFLAGS}, two in the Darwin sections,
> one in the OpenBSD section.
> 
> I think all of those should be removed as well. Do you agree?

I didn't want to mess with these things too much. I guess you can try
and we'll see.
msg122709 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2010-11-28 19:15
[Antoine]
> I didn't want to mess with these things too much. I guess you can try
> and we'll see.

You're right, it's better not to touch the Darwin stuff.


The 2.7 buildbots are green (including the FreeBSD ones!). I also
tested the patch successfully on OpenBSD 4.5.
History
Date User Action Args
2011-03-23 22:49:39reedobriensetnosy: + reedobrien
2010-11-28 19:15:10skrahsetstatus: open -> closed
resolution: fixed
messages: + msg122709

stage: patch review -> committed/rejected
2010-11-28 15:50:05pitrousetmessages: + msg122666
2010-11-28 15:36:18skrahsetnosy: + pitrou
messages: + msg122664
2010-11-27 22:41:59skrahsetpriority: normal -> critical

messages: + msg122580
2010-11-27 13:48:31skrahsetkeywords: + buildbot, - patch, needs review
2010-11-27 13:47:48skrahcreate